Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.technicalconnector.utils
Class KeyStoreManager

    java.lang.Object
      be.ehealth.technicalconnector.utils.KeyStoreManager

    public class KeyStoreManager

extends Object

The Class KeyStoreManager.

Constructor Summary
`KeyStoreManager(KeyStore keyStore)` Deprecated.
`KeyStoreManager(KeyStoreInfo keyStoreInfo)` Instantiates a new key store manager.
`KeyStoreManager(KeyStore keyStore, KeyStoreInfo keyStoreInfo)`
`KeyStoreManager(String pathKeystore, char[] keyStorePassword)` Instantiates a new key store manager.

Method Summary
`KeyStore` | `getKeyStore()` Gets the key store.
`KeyStoreInfo` | `getKeyStoreInfo()` Gets the key store info.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KeyStoreManager

    @Deprecated
    public KeyStoreManager(KeyStore keyStore)

  Deprecated.

### KeyStoreManager

    public KeyStoreManager(KeyStore keyStore,
                           KeyStoreInfo keyStoreInfo)

Parameters:
  `keyStore` - deprecated : will be loaded with data in keyStoreInfo
  `keyStoreInfo` -

### KeyStoreManager

    public KeyStoreManager(KeyStoreInfo keyStoreInfo)
                    throws TechnicalConnectorException

  Instantiates a new key store manager.

  Parameters:
    `keyStoreInfo` - the key store info
  Throws:
    `TechnicalConnectorException` - the technical connector exception

### KeyStoreManager

    public KeyStoreManager(String pathKeystore,
                           char[] keyStorePassword)
                    throws TechnicalConnectorException

  Instantiates a new key store manager.

  Parameters:
    `pathKeystore` - the path keystore
    `keyStorePassword` - the key store password
  Throws:
    `TechnicalConnectorException` - the technical connector exception

Method Detail

### getKeyStore

    public final KeyStore getKeyStore()

  Gets the key store.

  Returns:
    the key store

### getKeyStoreInfo

    public final KeyStoreInfo getKeyStoreInfo()

  Gets the key store info.

  Returns:
    the key store info

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.